AntiFeatures:
  NonFreeNet:
    en-US: App uses a third party service for currency exchange rates
  UpstreamNonFree:
    en-US: Google drive integration depends on libraries with non-free dependencies.
Categories:
  - System
  - Theming
License: GPL-3.0-or-later
AuthorName: U. N. Owen
WebSite: https://kvaesitso.mm20.de
SourceCode: https://github.com/MM2-0/Kvaesitso
IssueTracker: https://github.com/MM2-0/Kvaesitso/issues
Donate: https://github.com/sponsors/MM2-0

RepoType: git
Repo: https://github.com/MM2-0/Kvaesitso

Builds:
  - versionName: 1.20.0
    versionCode: 12000
    commit: v1.20.0
    subdir: app/app
    patch:
      - remove_ms-services_12000.patch
      - remove_gservices_12000.patch
    gradle:
      - yes
    prebuild:
      - sed -i 's/^org\.gradle\.java\.home.*$//' ../../gradle.properties
      - sed -i 's/exclude(group\ =\ "com\.google\.guava".*$//' build.gradle.kts
      - sed -i 's/versionCode\ =\ versionCodeDate()/versionCode = 12000/' build.gradle.kts
      - sed -i 's/versionNameSuffix.*$//' build.gradle.kts

  - versionName: 1.21.1-fdroid
    versionCode: 2023012300
    commit: v1.21.2
    subdir: app/app
    patch:
      - remove_ms_g_2023012300.patch
    gradle:
      - fdroid
    prebuild:
      - cd ../..
      - sed -i 's/^org\.gradle\.java\.home.*$//' gradle.properties
      - sed -i 's/^.*pkgs\.dev\.azure\.com.*$//' build.gradle.kts
      - sed -i 's/exclude(group\ =\ "com\.google\.guava".*$//' app/app/build.gradle.kts
      - for i in build.gradle.kts settings.gradle.kts app/app/build.gradle.kts app/ui/build.gradle.kts
        data/files/build.gradle.kts services/accounts/build.gradle.kts; do sed -i
        's/^.*:ms-services.*$//' "$i"; sed -i 's/^.*:g-services.*$//' "$i"; done

  - versionName: 1.25.0-fdroid
    versionCode: 2023051600
    commit: 1ddee5d493db70e3d259080c82cf00c66520b7ba
    patch:
      - remove_ms_g_2023051600.patch
    gradle:
      - fdroid
    output: app/app/build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk

  - versionName: 1.26.4-fdroid
    versionCode: 2023071201
    commit: v1.26.4
    patch:
      - remove_ms_g_2023071201.patch
    gradle:
      - fdroid
    output: app/app/build/outputs/apk/fdroid/release/app-fdroid-release-unsigned.apk

MaintainerNotes: |-
  Kvaesitso uses several external APIs for search providers.
  Several of them require signing up to obtain a developer API
  key: gdrive and onedrive search, openweathermap, HERE
  and Meteorologisk institutt. It's not possible for users
  to provide these keys as explained here:
  https://github.com/MM2-0/Kvaesitso/issues/227#issuecomment-1366826219
  Therefore, these features are disabled in F-Droid build.

  Kvaesitso uses a non-whitelisted microsoft maven repo for
  OneDrive integration. The libraries used are open source,
  but we still remove the respective code from the source,
  since onedrive integration is disabled anyway.

  Older patches:
  * remove_ms-services.patch removes microsoft azure sdk maven
  repo and its usage (onedrive integration) across the project.

  * remove_gservices.patch removes gdrive integration, as one
  of dependencies it relies on contains known non-free classes,
  according to f-droid scanner.

  Patches:
  * remove_ms_g_2023012300.patch removes microsoft and google
  services from the source code, while patching of respective
  modules build.gradle.kts files is done with sed edits, since
  these files are changed often.

  Upstream provides an fdroid flavor, however there's no difference
  and it still needs to be patched.

  For some reason, f-droid fails to pick up the correct gradle
  version (compilation fails with default gradle version)
  from distributionUrl if subdir is used.

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.26.4-fdroid
CurrentVersionCode: 2023071201
